Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class ArithmeticInstruction

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ArithmeticInstruction

All Implemented Interfaces:
  Serializable, Cloneable, StackConsumer, StackProducer, TypedInstruction

Direct Known Subclasses:
  DADD, DDIV, DMUL, DNEG, DREM, DSUB, FADD, FDIV, FMUL, FNEG, FREM, FSUB, IADD, IAND, IDIV, IMUL, INEG, IOR, IREM, ISHL, ISHR, ISUB, IUSHR, IXOR, LADD, LAND, LDIV, LMUL, LNEG, LOR, LREM, LSHL, LSHR, LSUB, LUSHR, LXOR

    public abstract class ArithmeticInstruction

extends Instruction
implements TypedInstruction, StackProducer, StackConsumer

Super class for the family of arithmetic instructions.

Version:
  $Id: ArithmeticInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` | `ArithmeticInstruction(short opcode)`

Method Summary
`Type` | `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### ArithmeticInstruction

    protected ArithmeticInstruction(short opcode)

Parameters:
  `opcode` - of instruction

Method Detail

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    type associated with the instruction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.